Page MenuHomePhabricator

[lld][WebAssembly] Enable string merging for debug sections
ClosedPublic

Authored by sbc100 on May 13 2021, 1:09 PM.

Diff Detail

Event Timeline

sbc100 created this revision.May 13 2021, 1:09 PM
sbc100 requested review of this revision.May 13 2021, 1:09 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 13 2021, 1:09 PM
sbc100 updated this revision to Diff 345608.May 14 2021, 10:00 PM
  • rebased on top of refactor
sbc100 retitled this revision from WIP: [lld][WebAssembly] Enable string merging for debug sections to [lld][WebAssembly] Enable string merging for debug sections.May 17 2021, 12:47 PM
sbc100 edited the summary of this revision. (Show Details)
sbc100 added a reviewer: dschuff.
dschuff added inline comments.May 17 2021, 6:09 PM
lld/wasm/InputChunks.h
147

can this be deleted?

lld/wasm/InputFiles.cpp
368

this doesn't include .debug_line_str.

Also, I guess the current situation is that we are creating the sections with the flags on the LLVM side, but we don't currently have a way to encode custom section flags?

lld/wasm/OutputSections.cpp
251

does this not apply to generic chunks the same way?

256

is this needed?

sbc100 updated this revision to Diff 346045.May 17 2021, 10:37 PM
sbc100 marked 2 inline comments as done.
  • feedback & rebase
sbc100 updated this revision to Diff 346051.May 17 2021, 10:55 PM
sbc100 marked 2 inline comments as done.
  • feedback
sbc100 added inline comments.May 18 2021, 11:43 AM
lld/wasm/InputFiles.cpp
368

Yes, sadly that is the current situation. I hope to improve that by adding flag that can apply to custom sections as well as data segments.

lld/wasm/OutputSections.cpp
251

For now at least it looks like we don't need. Removed.

256

I turns out for custom sections this is not currently needed. Removed.

dschuff accepted this revision.May 18 2021, 11:52 AM
dschuff added inline comments.
lld/wasm/InputChunks.h
68–73
68–73

Actually, does this comment now also apply to custom sections as well as data segments?

69
This revision is now accepted and ready to land.May 18 2021, 11:52 AM
sbc100 updated this revision to Diff 346242.May 18 2021, 12:27 PM
sbc100 marked 3 inline comments as done.
  • feedback
This revision was landed with ongoing or failed builds.May 18 2021, 12:27 PM
This revision was automatically updated to reflect the committed changes.